/*******************************************************************************
 * Copyright (c) 2004,2009 Actuate Corporation.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * https://www.eclipse.org/legal/epl-2.0/.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/
package org.eclipse.birt.report.engine.css.engine;

public interface StyleConstants {
	// bidi_hcg: As a result of a new style added ("direction"), align the
	// constants with org.eclipse.birt.report.engine.css.engine.PerfectHash

	int STYLE_COLOR = 0;
	int STYLE_DATA_FORMAT = 1;
	int STYLE_LINE_HEIGHT = 2;
	int STYLE_PADDING_LEFT = 3;
	int STYLE_PADDING_RIGHT = 4;
	int STYLE_DIRECTION = 5;
	int STYLE_PADDING_TOP = 6;
	int STYLE_BACKGROUND_HEIGHT = 7;
	int STYLE_BACKGROUND_COLOR = 8;
	int STYLE_BACKGROUND_REPEAT = 9;
	int STYLE_BORDER_RIGHT_WIDTH = 10;
	int STYLE_BORDER_BOTTOM_WIDTH = 11;
	int STYLE_CAN_SHRINK = 12;
	int STYLE_BORDER_TOP_COLOR = 13;
	int STYLE_BORDER_RIGHT_COLOR = 14;
	int STYLE_BORDER_BOTTOM_COLOR = 15;
	int STYLE_MARGIN_LEFT = 16;
	int STYLE_MARGIN_RIGHT = 17;
	int STYLE_PADDING_BOTTOM = 18;
	int STYLE_MARGIN_TOP = 19;
	int STYLE_TEXT_INDENT = 20;
	int STYLE_BORDER_RIGHT_STYLE = 21;
	int STYLE_BORDER_BOTTOM_STYLE = 22;
	int STYLE_TEXT_ALIGN = 23;
	int STYLE_HEIGHT = 24;
	int STYLE_NUMBER_ALIGN = 25;
	int STYLE_WIDTH = 26;
	int STYLE_TEXT_LINETHROUGH = 27;
	int STYLE_ORPHANS = 28;
	int STYLE_FONT_WEIGHT = 29;
	int STYLE_FONT_VARIANT = 30;
	int STYLE_MARGIN_BOTTOM = 31;
	int STYLE_BACKGROUND_POSITION_X = 32;
	int STYLE_PAGE_BREAK_BEFORE = 33;
	int STYLE_TEXT_OVERLINE = 34;
	int STYLE_TEXT_TRANSFORM = 35;
	int STYLE_BACKGROUND_WIDTH = 36;
	int STYLE_BACKGROUND_POSITION_Y = 37;
	int STYLE_OVERFLOW = 38;
	int STYLE_FONT_SIZE = 39;
	int STYLE_FONT_STYLE = 40;
	int STYLE_BORDER_TOP_WIDTH = 41;
	int STYLE_BORDER_LEFT_WIDTH = 42;
	int STYLE_SHOW_IF_BLANK = 43;
	int STYLE_LETTER_SPACING = 44;
	int STYLE_BACKGROUND_IMAGE = 45;
	int STYLE_BORDER_LEFT_COLOR = 46;
	int STYLE_BACKGROUND_ATTACHMENT = 47;
	int STYLE_VERTICAL_ALIGN = 48;
	int STYLE_BORDER_TOP_STYLE = 49;
	int STYLE_DISPLAY = 50;
	int STYLE_MASTER_PAGE = 51;
	int STYLE_BORDER_LEFT_STYLE = 52;
	int STYLE_VISIBLE_FORMAT = 53;
	int STYLE_WIDOWS = 54;
	int STYLE_FONT_FAMILY = 55;
	int STYLE_PAGE_BREAK_INSIDE = 56;
	int STYLE_PAGE_BREAK_AFTER = 57;
	int STYLE_TEXT_UNDERLINE = 58;
	int STYLE_WORD_SPACING = 59;
	int STYLE_WHITE_SPACE = 60;

	int NUMBER_OF_STYLE = 61;
}
